Utopia PaymentsDocs
Webhooks

Create a webhook endpoint

The response includes the endpoint's signing `secret`.

POST
/webhooks

The response includes the endpoint's signing secret.

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Header Parameters

Idempotency-Key?string

Retrying with the same key returns the first response instead of creating a duplicate.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{  "object": "webhook",  "webhook_id": "wh_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",  "url": "http://example.com",  "description": "string",  "event_types": [    "payment.succeeded"  ],  "disabled": true,  "livemode": true,  "created_at": "2019-08-24T14:15:22Z",  "secret": "string"}